ID: 24053
Updated by: [email]wezphp.net[/email]
Reported By: jphey at netdoor dot com
Status: Assigned
Bug Type: Scripting Engine problem
Operating System: Linux 2.4.20
PHP Version: 4.3.2
Assigned To: wez
New Comment:

I demand that you pay me to meet your demands ;-)
Seriously, PHP comes with no warranty or any assertion that it will
work, so you are in no position to demand anything.

Yes, we try to ensure a good level of quality, but don't forget that we
are volunteers with day jobs.



Previous Comments:
------------------------------------------------------------------------

[2003-08-06 10:32:01] composerryan at webquad dot com

By the way, please let us know when you have released a new version
that fixes this problem with the php include code. We would greatly
appreciate it because I do not have the time to fix all of the bugs
that have appeared at my website and all of my clients' websites - it
is an absolute nightmare for my business and I should not be the one
taking the responsibility for these errors.

Thanks again,
Ryan

------------------------------------------------------------------------

[2003-08-06 10:27:07] composerryan at webquad dot com

I have also experienced the php includes error at my network websites
that reside at [url]http://www.webquad.com[/url] including the following sites:

[url]http://www.webquad.com/starcraft/[/url]
[url]http://www.webquad.com/hmseries/[/url]
[url]http://www.webquad.com/aom[/url]
[url]http://www.webquad.com/ron[/url]
[url]http://www.webquad.com/rs[/url]
[url]http://www.webquad.com/rsgg[/url]
[url]http://www.webquad.com/ph[/url]
[url]http://www.webquad.com/ac[/url]
[url]http://www.webquad.com/cossacks[/url]

I've been using the php include script this entire time and it has
worked fine. The php upgrade seems to be creating a HUGE nightmare for
web developers like myself, especially since the php include script is
contained in most of my clients' sites. We demand that a "patch" or
"fix" be released that addresses this issue since this "upgrade" has
done more harm than good.

I am using the host iPowerweb at [url]http://www.iPowerweb.com[/url] and I have
been frustrated with their support team because of this upgrade to the
new php, which has caused huge problems on my site and on other
developer's sites. But, they say it is the PHP developers who have to
fix the problem. So, please fix this problem ASAP!

Thanks,
Ryan

------------------------------------------------------------------------

[2003-07-25 03:49:57] [email]wezphp.net[/email]

Apparently there is still a problem. Will investigate this weekend.

------------------------------------------------------------------------

[2003-07-25 03:13:49] ngaugler at ngworld dot net

I want to bring this bug back it, it happens in 4.3.2 when the Zend
Optimizer is installed on the server. When Zend is not, it is fine.
Information is as follows:

Zend Engine v1.3.0, Copyright (c) 1998-2003 Zend Technologies with Zend
Extension Manager v1.0.0, Copyright (c) 2003, by Zend Technologies with
Zend Optimizer v2.1.0, Copyright (c) 1998-2003, by Zend Technologies

------------------------------------------------------------------------

[2003-07-08 17:27:56] drjay_13 at hotmail dot com

How do I include a file with a querystring in the url and avoide this
error?

------------------------------------------------------------------------

The remainder of the comments for this report are too long. To view
the rest of the comments, please view the bug report online at
[url]http://bugs.php.net/24053[/url]

--
Edit this bug report at [url]http://bugs.php.net/?id=24053&edit=1[/url]